Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JPackage

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JPackage

    public class JPackage

extends java.lang.Object

Represents a logical package.

Method Summary
`JClassType` | `findType(java.lang.String typeName)`
`JClassType` | `findType(java.lang.String[] typeName)`
`java.lang.String` | `getName()`
`JClassType` | `getType(java.lang.String typeName)`
`JClassType[]` | `getTypes()`
`boolean` | `isDefault()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### findType

    public JClassType findType(java.lang.String typeName)

### findType

    public JClassType findType(java.lang.String[] typeName)

### getName

    public java.lang.String getName()

### getType

    public JClassType getType(java.lang.String typeName)
                       throws NotFoundException

  Throws:
    `NotFoundException`

### getTypes

    public JClassType[] getTypes()

### isDefault

    public boolean isDefault()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD